package jp.mosp.payroll.bonus.dto;

import jp.mosp.common.common.BaseDto;

public class PmStationDto extends BaseDto {
	
	private static final long	serialVersionUID	= 2317373988660444896L;
	
	// フィールド
	private String				stationCode			= "";					// 所属コード
	private String				stationName			= "";					// 所属名
	private String				stationAbbName		= "";					// 事業部
	private String				businessType		= "";					// 業務形態
	private String				calendarType		= "";					// カレンダー区分
	private String				effortType			= "";					// 成果率区分
	private String				belongCode			= "";					// 上位所属コード
	private int					deleteFlag			= 0;					// 削除フラグ
																			
	
	/**
	 * コンストラクタ
	 */
	public PmStationDto() {
		super();
	}
	
	// アクセサメソッド
	public String getStationCode() {
		return stationCode;
	} // 所属コード
	
	public String getStationName() {
		return stationName;
	} // 所属名
	
	public String getStationAbbName() {
		return stationAbbName;
	} // 所属略称
	
	public String getBusinessType() {
		return businessType;
	} // 業務形態
	
	public String getCalendarType() {
		return calendarType;
	} // カレンダー区分
	
	public String getEffortType() {
		return effortType;
	} // 成果率区分
	
	public String getBelongCode() {
		return belongCode;
	} // 上位所属コード
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 所属コード
	
	public void setStationName(String stationName) {
		this.stationName = stationName;
	} // 所属名
	
	public void setStationAbbName(String stationAbbName) {
		this.stationAbbName = stationAbbName;
	} // 事業部
	
	public void setBusinessType(String businessType) {
		this.businessType = businessType;
	} // 業務形態
	
	public void setCalendarType(String calendarType) {
		this.calendarType = calendarType;
	} // カレンダー区分
	
	public void setEffortType(String effortType) {
		this.effortType = effortType;
	} // 成果率区分
	
	public void setBelongCode(String belongCode) {
		this.belongCode = belongCode;
	} // 上位所属コード
	
	public int getDeleteFlag() {
		return deleteFlag;
	}
	
	public void setDeleteFlag(int deleteFlag) {
		this.deleteFlag = deleteFlag;
	}
	
}
